2007-12-28: Version 2.0.10
 * General:
   * Change: Exit screen looks a bit cleaner than before now
   * Change: Add some more info to the POSIX exception handler (Used compiler, responsible distributor)
 * Sound:
   * Fix: Make sure that sound still works with libvorbis 1.1 (this got broken in 2.0.9)
 * Graphics:
   * Fix: Prevent AMD OpenGL driver (slow) software rendering fallback, introduced in 2.0.8 (bug #10486)
 * Buildsystem:
   * New: Distributors now should use --with-distributor="Some String" when configuring, so we can track back where the dump comes from

2007-12-03: Version 2.0.9
 * Sound:
   * Fix: Sound works with libvorbis 1.2.0 (no more hangups) (bug #10153)

2007-12-01: Version 2.0.8
 * General:
   * New: Possibility to use the zero-key ('0') to assign groups to as well (patch #828)
   * New: Repeat keypresses if the key is hold long enough (e.g. one press of 'A' becomes 'AAAAAAAAAA' if just held long enough)
   * Fix: Remove invalid references to software renderer textures (caused crashes between campaign 1-2 and 2-3) (bug #9497)
   * Fix: Improve POSIX exception handler reliability (GDB could have had trouble locating the executable)
   * Fix: Dead objects could be targeted when structures used commanders and counterbatteries for targeting
   * Fix: Prevent divide by zero errors caused by ordering a VTOL to attack a droid at the same X & Y coordinates (bug #9704)
   * Fix: Workaround mysterious crash when updating beacons (bug #9455)
   * Fix: Crash on game exit (bug #9927)
   * Fix: Don't add/remove droids to/from groups upon selecting/deselecting them (patch #829)
   * Fix: Crash where rearming VTOL would try to set a dead target (r2651)
 * Multiplayer:
   * Change: In the "Join Game" menu you can now choose between "IP" (same as the old "Internet" option) and "Lobby" (directly proceed to the Lobbyserver)
   * Change: Protocol-selection removed from "Host Game", since the only option was "Internet"
 * Sound:
   * Fix: Workaround a bug in OpenAL SI 0.0.8 GNU/Linux, which could lead to a crash
   * Fix: Crash upon receiving invalid sound ID numbers (out of bounds array access) (bug #9694)
   * Fix: Crash when loading sounds without filenames (patch #855, bugs #9927 and #10142)
 * Graphics:
   * Change: Slightly faster terrain rendering (+ 5-10%) (patch #830, patch #833)
   * Fix: Make progress bar white again
   * Fix: Textures where not properly reloaded when finishing a campaign and continueing with the next (bug #9923)
   * Fix: Reduce the dark borders around the terrain tiles (patch #845)
   * Fix: Slight visual improvement: Reduced flickering of ground and water tiles (patch #841)

2007-06-22: Version 2.0.7
 * General:
   * New: Screenshots are now saved as PNGs for better quality
   * Fix: AutoPackage (Linux Installer) should be easier to install now and also work on non Athlon CPUs. It doesn't support playback of MP3s anymore, though.
   * Fix: It was possible to disable the computer in singleplayer games
   * Fix: Crashes caused by not-loaded file when sound is disabled
   * Fix: Crashes after the mission briefing
   * Fix: Crash related to the satelite uplink
   * Fix: A potential buffer overflow when using longer file names than expected to set the background music
 * Settings:
   * New: Masterserver name and IP, as well as the gameserver port is now configurable
   * New: Configurable framerate limit
   * New: Possibility to always allow debugmode
   * Change: Warzone will now run in fullscreen by default (current configurations won't be affected)

2007-03-31: Version 2.0.6
 * General:
   * New: New exceptionhandler allows better bugreports by saving memory dumps (On Windows and Linux)
   * Fix: Windows 98 is supported again
   * Fix: Saving of config should work correctly for all settings again
   * Fix: Missing transport in Campaign 2 Mission 1 and Campaign 3 Mission 1 arrives again
   * Fix: Various crashes
 * Graphics:
   * New: Skybox
   * New: Translucent selection-box from version 1.x restored
   * Fix: Better fog
   * Fix: Wrongly displayed tileset in Campaign 2 Mission 1 and Campaign 3 Mission 1 properly fixed
   * Fix: Camera now properly displayed on radar
   * Fix: Gamma control support improved
   * Fix: Colors on Mac corrected
 * Sound:
   * Fix: No more invalid OpenAL errors
   * Fix: Properly startup without sound
 * Cutscenes (still text only):
   * Change: Make texts more easily readable
   * Change: Proceed faster so it does not look as if Warzone hangs
   * Change: Exit by pressing left mouse button
 * Commandline options:
   * Fix: --resolution works as expected now
 * Build system:
   * New: Docs can now be installed in Autotools builds
   * New: You can now control the installation dir for the icon and .desktop file by passing --icondir and --applicationdir to configure
   * New: MSVC project file now supports automated building of lexers/parsers
   * Change: Generation of lexers/parsers changed
   * Change: Data is now build by default
   * Change: Automated building of NSIS installer is now supported on Linux and Windows
             (You will have to set --with-makensis --with-installer-libdir and --with-installer-version)
   * Fix: Autotool build: Cleaning and uninstallation has been fixed (and generally Automake's features are used better)

2006-09-07: Version 2.0.5
 * General:
   * New: Added beacons for skirmish and multiplayer, can be placed on map and radar, default key combination: Alt+H
   * New: Allied players send vision to each other automatically (only once)
   * New: Non-Mac versions can now load Mac-created savegames and the other way round
   * New: Ctrl+MouseWheel makes game speed up or slow down
   * New: MouseWheel over radar makes radar zoom in/out
   * New: Basic map editing in debug mode. 'w' and 'a' raise and lower terrain, 'k' flips tiles
   * Fix: Nasty crashes related to (not) playing videos are fixed
   * Fix: License clarification
 * Sound:
   * Fix: Playlists with DOS line endings should work now
 * Graphics:
   * Fix: Improve shadow performance and fix OpenGL specs violation
   * Fix: Framerate counting gives correct results now
 * Commandline options:
   * New: --noshadows: switches off shadows for better performance (--shadows enables them again)
   * New: --nosound: switches off sound (--sound enables it again)
   * Change: --viewport becomes --resolution
 * Build system:
   * New: MinGW32 crosscompilation support
   * Change: src/version.* not used anymore. In MSVC define VERSION=\"...\" in preprocessor settings instead
   * Change: Raw Makefile improvements for WIN32: Now adding an icon ressource
   * Change: Install desktop icons via "make install"

2006-08-25: Version 2.0.4
 * General:
   * Changed namings: Project: Warzone Resurrection Project, Product: Warzone 2100, Binary: warzone2100(.exe)
   * MacOS / big endian support
   * Desktopmenu entry for Linux (AutoPackage/Debian package)
   * Different minimap modes (backported from 0.2.3)
   * Fix crash when not properly creating the write dir on Windows
   * Fix crash when using uppercase savegame names on Linux
   * Several security fixes
   * Other bug fixes
 * Sound:
   * Fixed music playlist loading and ogg music playback
 * Graphics:
   * 16bpp "supported" (basic playing possible, graphics glitches may occur, eg. missing progressbars)
 * Data:
   * Warzone uses AI from original version 1.10
   * AI reacts faster and builds stronger and more high-tech things
   * Fixed a bug which prevented the AI from creating oil derricks
   * Data is now stored in "Documents and Settings\Username\My Documents\Warzone 2.0" (in your local language) on Windows
 * Scripting:
   * Support for functions (including local variables, arguments and return values)
   * String support
   * AI can now send and recieve text messages
   * Many new predefined functions
 * Commandline options:
   * New option: --version shows current version and marks debug compiles
   * Using --long-opts instead of -short-opts now
   * -1234x456 has changed to --viewport 1234x456
 * Debugging:
   * Cheat mode access changed
   * Logfile shows revision and version
   * Script parse errors now report filename and line number
   * Warzone is now a full Windows app. Debug output goes to stdout.txt/stderr.txt
   * You can now add any number of own debugging callbacks to output to various media
     Current implementations: stderr, -debugfile and Windows debugger
     See lib/framework/debug.c, src/clparse.c and src/main.c for examples
   * Debuging now outputs the same on all compilers
 * Build system:
   * Makefile.raw system improved. Works without sh/MSys now.
   * AutoMake build now requires version 1.8

2006-07-01: Version 2.0.3
 * General:
   * New logo
   * Menu improvements
   * Master server support
   * Made scenario briefings visible
   * Fixed bugs which could prevent the transport from arriving
   * Fixed file loading/saving on Windows
   * Fixed nearly all memleaks
   * Various crashfixes
   * Code improvements/simplifications and commonalization
   * Pressing TAB pastes clipboard in host address dialogue (join network game)
   * Pressing ALT+S toggles shadows
   * Framerate limited to a sane amount (60 currently)
 * Graphics:
   * PNG support (converted all PCX files and removed support for them)
   * Support for JPEG files in .wz packages
   * Maximum polygons and vertices in pie files increased to 512
   * Fixes for the shadows
 * Sound:
   * Fixed sound system shutdown
   * Warzone starts with busy audio device
	 (eg while playing music from another program)
 * Commandline options:
	 * -help added
	 * -datadir <path> for userdefined data locations
	 * -mod <mod> to enable global mod (in mods/global)
	 * -mp_mod <mod> to enable multiplay only mod (in mods/multiplay)
	 * -ca_mod <mod> to enable campaign only mod (in mods/campaign)
 * Data:
   * Support for mods:
	 * Starting an original map in multiplay mode will load campaign mods only
	 * Starting a map from patches (original maps in T2+3 and all other maps)
	   will load multiplay mods as expected
   * Improved search for data and allow running from src/ directory
	   Priorities:
	   dir/maps > dir/mods > dir/mp/ > dir/ > dir/mp.wz > dir/warzone.wz
	   -datadir > User's home (maps/mods only) > SVN data (plain only) > AutoPackage > Program dir > DEFAULT_DATADIR
   * Write directory (where config, savegames and screenshots are saved)
	 is USERDIR\warzone-2.0 on Windows and HOME/.warzone-2.0 on Linux
   * All file handling is now case insensitive
   * Merge of all 01,02,0x patches into mp/ directory
   * Patches (mp.wz) and original data (warzone.wz) are split when installed
	 (Fixes problems with T2+3 maps)
 * Build system:
   * make (un)install support
   * make DESTDIR="..." support
   * Flex and Bison are used to generate parsers
   * AutoPackage support (http://autopackage.org/)
   * G++ support
   * MSVC support

2005-10-20: Version 0.2.3
 * Added hack to disable shadows.
 * Added fps meter.
 * Added map preview
 * ctrl-tab objects-only radar view
 * shift-tab ally-enemy radar view
 * make wz remember last used ip for 'enter ip' dialog box
 * allies must be visible in multiplayer/skirmish
 * fixed double/empty multiplayer msgs
 * added routine to process console commands (they start with '/' right now)
 * won't send empty lines in lobby and in-game chats anymore
 * player's own messages are not doubled during multiplayer games anymore
 * Fixed Color issues thanks to input from Troman. :)
 * This release fixes more .wz stuff (map loading),
   you need a maps directory now for this to work.
   This is located on the root directory, along with the music directory.

2005-07-28: Version 0.2.2
 * More Compiler warning fixes.
 * Fixed a few assert-related problems.
 * Lots of lex/yacc related fixes.
 * Fixed a crash with missing videos
 * Fixed a wrong function definition / call in multiint.c.
 * Fixed crash with international characters.
 * Fixed memory release crash.
 * Removed the last traces of stubs.c in both ivis directories (and thus fixed building the software renderer with automake).
 * Check that video mode can actually be set.
 * Changed the static makefiles to build the OpenGL version by default. Use GFX=software for the software renderer.
 * It is now possible to compile the game with g++ using the -fpermissive compiler flag.

2005-07-16: Version 0.2.1
 * .net bug fixes.
 * Music sample rate fix.
 * New: Shuffle mode for playlists.
 * Fixed tile-related crash.
 * Removed useless culling code.
 * Moved MatScale function into the ivis lib.
 * Configure fix: OpenAL is required, not optional.
 * More code cleanup.
 * gcc4 fixes (thanks to Matze Braun).
 * Fixed problem with power plant effect.
 * Now use rand() for shuffle mode in playlist on all platforms.
 * Fixed sound-related crash on exit.
 * Fixed crash when saving without any available sound device.
 * Fixed a division by zero.
 * Made the banner ad only display on pause, since having it on all the time is
   really annoying.
 * --enable-debug removed from configuration options for the time being.
 * Changed playlist syntax. Replaced '[track1]' and '[track2]' with less cryptic
   '[game]' and '[menu]' tags.
 * Removed some no-more-needed verbosity during playlist parsing.
 * Reverted to wdg data file format, which re-enabled technology levels 2 and
   3, plus more maps.
 * More sample musics from Neos in order to demo the new shuffle mode.
 * Cleaned-up (kinda...) JPEG backdrops used for backgrounds in OpenGL.

2005-06-25: Version 0.2
 * Code cleanups and minor bug corrections.
 * Correction of a bug that prevented network games between Windows and Linux
   machines. Windows-only or Linux-only network games were unaffected.
 * Music support added. See README.
 * Merge of source and data tarballs.
 * Video sequences removed (they can't be used anyway).
 * "Thump-thump" of the oil-pumps toned down a bit.
 * COPYING (oops !), README, CHANGELOG and AUTHORS added to base directory.

2005-06-11: Version 0.1
 * Based on the code liberated on December 6th, 2004.
 * Proprietary technologies replaced by SDL, OpenGL and OpenAL.
 * Network implemented using SDL-net.
 * Zoom enhancements (increased range and control using the mouse wheel).
